# CORE

CORE: Common Open Research Emulator

Copyright (c)2005-2022 the Boeing Company.

See the LICENSE file included in this distribution.

#DOCKER SETUP


```shell
git clone https://gitea.olympuslab.net/afonso/core-extra.git

cd core-extra

# build image
sudo docker build -t core .

# start container
sudo docker run -itd --name core -e DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix:rw --privileged --restart unless-stopped core

# enable xhost access to the root user
xhost +local:root
# launch core-gui
sudo docker exec -it core core-gui


#TO RUN ANY OTHER COMMAND
sudo docker exec -it core COMAND_GOES_HERE
```

## Documentation & Support

We are leveraging GitHub hosted documentation and Discord for persistent
chat rooms. This allows for more dynamic conversations and the
capability to respond faster. Feel free to join us at the link below.

* [Documentation](https://coreemu.github.io/core/)
* [Discord Channel](https://discord.gg/AKd7kmP)
